Skip to main content
PATCH
/
v1
/
indicator-mappings
/
{mapping_uuid}
Patch Indicator Mapping
curl --request PATCH \
  --url https://api.example.com/v1/indicator-mappings/{mapping_uuid} \
  --header 'Content-Type: application/json' \
  --data '
{
  "field_path": "<string>",
  "indicator_type": "<string>",
  "is_active": true,
  "description": "<string>"
}
'
import requests

url = "https://api.example.com/v1/indicator-mappings/{mapping_uuid}"

payload = {
    "field_path": "<string>",
    "indicator_type": "<string>",
    "is_active": True,
    "description": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    field_path: '<string>',
    indicator_type: '<string>',
    is_active: true,
    description: '<string>'
  })
};

fetch('https://api.example.com/v1/indicator-mappings/{mapping_uuid}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source_name": "<string>",
    "field_path": "<string>",
    "indicator_type": "<string>",
    "extraction_target": "<string>",
    "is_system": true,
    "is_active": true,
    "description": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "meta": {}
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Path Parameters

mapping_uuid
string<uuid>
required

Body

application/json
field_path
string | null
indicator_type
string | null
is_active
boolean | null
description
string | null

Response

Successful Response

data
IndicatorFieldMappingResponse · object
required
meta
Meta · object